<?php


// Include necessary files and set up database connection
include "config.php";



// Generate an array of 6 random product IDs between 1 and 100
$randomIds = [];
while (count($randomIds) < 12) {
    $randomId = rand(1, 100);
    if (!in_array($randomId, $randomIds)) {
        $randomIds[] = $randomId;
    }
}

// Prepare the SQL query to fetch data for the random product IDs
$query = "SELECT * FROM `products` 
WHERE `id` IN (" . implode(",", $randomIds) . ") 
AND `active`=0
LIMIT 6";

// Execute the query
$result = mysqli_query($conn, $query);

// Check if the query was successful
if (!$result) {
    // If there's an error, return an error message
    $error = "Error: " . mysqli_error($conn);
    echo json_encode(["message" => $error]);
} else {
    // If the query was successful, fetch the data and store it in an array
    $data = [];
    while ($row = mysqli_fetch_assoc($result)) {
        $productId = $row['id'];
        $net = $row['net'];
        $gross = $row['gross'];
        $dgm = $row['d_gm'];
        $dkarat = $row['d_karat'];
        $material = $row['type'];
        $pprice = $row['price'];
        $mQuery = "SELECT * FROM material WHERE id='$material'";
        $mResult = mysqli_query($conn, $mQuery);
        $mrow = mysqli_fetch_array($mResult);
        $mname = $mrow['name'];
        $mprice = $mrow['price'];
        $mname = $mrow['name'];
        $mprice = $mrow['price'];
        $dprice = $row['dprice'];
        $dname = $row['diamond'];
        $dtotal = round($dprice) ;

        if($material == 3){
            //       if($net > 0.000 && $net <0.500){
            //   $making = $net*1400; 
            // }else if($net > 0.510 && $net < 0.800){
            //   $making = $net*1650;
            // }else if($net > 0.810 && $net < 1.000){
            //   $making = $net*2050 ;
            // }else if($net > 1.010 && $net < 1.400){
            //   $making = $net*2350 ;
            // }else if($net > 1.410 && $net < 1.900){
            //   $making = $net*2600 ;
            // }else if($net > 1.910 && $net < 2.200){
            //   $making = $net*2850 ;
            // }else {
            //   $making = $net*1500;
            // }
              $making = 700;
            $mm = $making/2;
            $ggg = $net*$mprice+$mm+$dtotal;
            $gst = round($ggg*0.03);
            $price = round($net*$mprice+$mm+$gst+$dtotal);
            $discount = round($net*$mprice+$making+$gst+$dtotal);
        }else if($material == 8){
            if($net > 0.000 && $net <0.500){
              $making = $net*1400; 
            }else if($net > 0.510 && $net < 0.800){
              $making = $net*1650;
            }else if($net > 0.810 && $net < 1.000){
              $making = $net*2050 ;
            }else if($net > 1.010 && $net < 1.400){
              $making = $net*2350 ;
            }else if($net > 1.410 && $net < 1.900){
              $making = $net*2600 ;
            }else if($net > 1.910 && $net < 2.200){
              $making = $net*2850 ;
            }else {
              $making = $net*1500;
            }
            $mm = $making/2;
            $ggg = $net*$mprice+$mm+$dtotal;
            $gst = round($ggg*0.03);
            $price = round($net*$mprice+$mm+$gst+$dtotal);
            $discount = round($net*$mprice+$making+$gst+$dtotal);
        }else{
            $p = $row['price'];
            $fgst = $row['price']*0.03;
            $pp = $row['price'] + $fgst;
            $price = $pp;
            $discount = $row['dis_price'] + $row['dis_price']*0.03;
        }
        
      

        $cartCheckQuery = "SELECT * FROM cart WHERE pid='$productId' AND uid='$uid'";
        $cartCheckResult = mysqli_query($conn, $cartCheckQuery);
        $row['in_cart'] = ($cartCheckResult && mysqli_num_rows($cartCheckResult) > 0) ? true : false;
        
        $wishlistCheckQuery = "SELECT * FROM wishlist WHERE pid='$productId' AND uid='$uid'";
        $wishlistCheckResult = mysqli_query($conn, $wishlistCheckQuery);
        $row['in_wishlist'] = ($wishlistCheckResult && mysqli_num_rows($wishlistCheckResult) > 0) ? true : false;
        
        // Add images to the images array
        $images = array();
        $images[] = array("image_id" => 1101, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img']);
        $images[] = array("image_id" => 1111, "id" => 1.1, "alt" => "yellow", "src" => $imgpath."/Products/" . $row['img1']);
        $images[] = array("image_id" => 1121, "id" => 1.2, "alt" => "white", "src" => $imgpath."/Products/" . $row['img2']);

        
        // Add the product data to the data array
        $data[] = array(
            "hasMore" => true,
            "id" => $row['id'],
            "img" => $imgpath."/Products/" . $row['img'],
            "price" => round($price),
            "title" => $row['name'],
            // "src" => $src,
            "new" => true,
            "sale" => true,
            "discount" => round($discount),
            "category" => $row['category'],
            // "collection" =>  $row['collection'],
            "desc" => $row['description'],
            "labour" => $mm,
            "mprice" => $mprice*$net,
            "total_price" =>  $price ,
            "type" => $pprice,
            "images" => $images,   
            "net" => $net,
            "gross" => $gross,
            "gst" => $gst,
            "d_gm" => $dgm,
            "d_karat" => $dkarat,
            "dname" => $dname,
            "dprice" => $dprice,
            "dtotal" => $dtotal,
            "variants" => $images,
            // "type" => "jewellery",
            "tags" => array("s", "l", "white", "skyblue", "madame"),
            "brand" => $mname,
            "cart" => $row['in_cart'],
            "wishlist" => $row['in_wishlist'],
            "material" => $mname,
            "stock" => $row['stock']
        );
    }
    // mysqli_free_result($result);
    
    // Return JSON response
    $totalCount = count($data);
    if ($totalCount > 0) {
        echo json_encode(["message" => "radha", "result" => $data, "total" => $totalCount]);
    } else {
        echo json_encode(["message" => "No Products For Specific Search", "total" => $totalCount]);
    }
}
?>
