<?php
// Replace these values with your CCAvenue credentials
$merchantId = '3341592';
$accessCode = 'AVGZ67LC31AA64ZGAA';
$secretKey = 'E9E61971BC126C363FDCE689BA59625B';

// Transaction details
$orderId = 'MG20240514543413'; // Unique order ID for the transaction
$transactionId = '113286994432'; // Transaction ID of the payment to refund
$refundAmount = '12'; // Amount to refund

// Prepare data for hashing
$data = $orderId . $transactionId . $refundAmount . $accessCode . $secretKey;
$checksum = hash('sha256', $data);

// Refund API endpoint
$refundUrl = 'https://secure.ccavenue.com/transaction/refund';

// Prepare refund request data
$refundData = [
    'merchant_id' => $merchantId,
    'order_id' => $orderId,
    'transaction_id' => $transactionId,
    'refund_amount' => $refundAmount,
    'access_code' => $accessCode,
    'checksum' => $checksum,
];

// Initiate refund request
$curl = curl_init();
curl_setopt_array($curl, [
    CURLOPT_URL => $refundUrl,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => http_build_query($refundData),
]);

$response = curl_exec($curl);
curl_close($curl);

// Handle refund response
if ($response) {
    // Process refund response
    echo "Refund response: $response";
} else {
    // Failed to connect to CCAvenue API
    echo "Failed to connect to CCAvenue API";
}
?>
